## freevo 1.9.2b2

=== Makefile ===
VERSION := `cat VERSION`

PARTS   = plugins src include

LDFLAGS += 

.PHONY: docs clean distclean package package_nodocs build_package help all

help:
	@echo -e "\033[0;1mAvaiable make targets:\033[0m"
	@grep -e '^[a-zA-Z0-9_]\+:' Makefile | sed 's/^\([a-zA-Z0-9_]\+\):.*/  make \1/' | sort
	@if [ ! -f config.mk ]; then \
		 echo -e "\033[1;33mBefore running any command, please do \033[0;1m./configure\033[0m";\
	fi

all:
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure\033[0m"; \
	else \
	        $(MAKE) -C src all; \
		for arq in $(PARTS); do $(MAKE) -C $$arq all; done; \
	fi

clean:
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure"; \
	else \
		rm -f *.o *.a *~; \
		for arq in $(PARTS); do $(MAKE) -C $$arq clean; done; \
	fi

distclean:
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure\033[0m"; \
	else \
		rm -f *.o *.a *~; \
		for arq in $(PARTS); do $(MAKE) -C $$arq distclean; done; \
		rm config.mk; \
		rm -rf build; \
	fi

docs: clean
	rm -fr docs
	doxygen Doxyfile

package: distclean docs build_package

package_nodocs: distclean build_package

build_package:	
	@echo -e "\033[1;33m* \033[0;1mPacking source to \033[1;36m../mpav-$(VERSION).tar.bz2\033[0m"	
	@tar cjvf ../mpav-$(VERSION).tar.bz2 ../mpav

install: all
	@if [ ! -f config.mk ]; then \
		echo -e "\033[1;33mPlease do \033[0;1m./configure\033[0m"; \
	else \
	        $(MAKE) -C src all; \
		for arq in $(PARTS); do $(MAKE) -C $$arq install; done; \
	fi
