=== include/Makefile ===
include ../config.mk

all:

clean:
	rm -f *~ *.o *.a

distclean: clean

install:
