=== runtime/Makefile ===
#if 0 /*
# -----------------------------------------------------------------------
# Makefile - builds the runtime (libraries and apps)
#
# $Id: Makefile 4281 2003-11-10 01:17:04Z rshortt $
#
# Notes:
# Todo:        
#
# -----------------------------------------------------------------------
# $Log$
# Revision 1.24  2003/11/10 01:17:04  rshortt
# Incriment runtime version.
#
# Revision 1.23  2003/11/10 01:09:42  rshortt
# Turn the runapp's DEBUG on.
#
# Revision 1.22  2003/11/09 19:35:46  rshortt
# Runtime fixes.
#
# Revision 1.21  2003/11/09 16:36:46  rshortt
# Some pygphoto and gphoto plugin fixes.
#
# Revision 1.20  2003/10/31 20:13:01  rshortt
# Changes for the 1.4 runtime and add runtime_release target.
#
# Revision 1.19  2003/08/06 00:34:45  rshortt
# Adding pylcd.
#
# Revision 1.18  2003/06/22 17:20:16  rshortt
# Go back to using the system python because it is easier.
#
# Revision 1.17  2003/04/22 01:33:35  rshortt
# Bugfixes.
#
# Revision 1.16  2003/04/21 19:31:37  rshortt
# Add mplayer and ffmpeg.
#
# Revision 1.15  2003/04/20 13:53:38  rshortt
# Added a build of DirectFB.
#
# Revision 1.14  2003/04/20 13:06:36  rshortt
# Added a DXR3 build. (build_dxr3)
#
# Revision 1.13  2003/04/19 20:08:30  rshortt
# Better COPY_BASE
#
# Revision 1.12  2003/04/19 19:54:42  rshortt
# Modifications for a runtime build system.  Still WIP but almost done.
#
# Revision 1.11  2003/03/04 05:44:36  krister
# Added fchksum
#
# Revision 1.10  2003/02/21 04:36:43  krister
# Bugfix for missing network libs.
#
# Revision 1.9  2003/02/19 08:08:29  krister
# Applied Aubins new pylirc code after testing it (seems to work with keyboard at least), and adding the pylircmodule to the runtime build environment (not required for keyboard operation).
#
# Revision 1.8  2003/02/18 04:54:05  krister
# runtime builder updates.
#
# Revision 1.7  2003/02/18 04:15:27  krister
# Added jpegtran to the runtime build.
#
# Revision 1.6  2003/02/07 05:06:32  krister
# Added execute flag for pygphoto.so
#
# Revision 1.5  2003/02/05 15:22:52  krister
# Updated build stuff, Changelog
#
# Revision 1.4  2003/02/05 06:10:46  krister
# Changed the start scripts and childapp.py to use startprog to start all programs.
#
# Revision 1.3  2003/01/28 03:45:35  krister
# Work in progress...
#
# Revision 1.2  2003/01/24 07:30:56  krister
# Create missing folders.
#
# Revision 1.1  2003/01/24 07:19:48  krister
# New runtime
#
#
#
# -----------------------------------------------------------------------
# Freevo - A Home Theater PC framework
# Copyright (C) 2002 Krister Lagerstrom, et al. 
# Please see the file freevo/Docs/CREDITS for a complete list of authors.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MER-
# CHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# ----------------------------------------------------------------------- */
#endif

include package_list.mk

RUNTIME_VERSION="0.3"

COPY_BASE=`pwd`

EXT=
PACKAGE=
PACKAGE_GET=
TAR1="tar zxvf"
TAR2="tar jxvf"

PREFIX=/usr
COPY_BASE=$(PREFIX)

CFGFLAGS="--prefix=$(PREFIX)"

PYBIN=/usr/bin/python
LIRCLIB=/usr/local/lib
LIRCINC=/usr/local/include

LOGDIR=/var/log/freevo

.PHONY: copy build clean src copy_libdeps


# There is no default target, you gotta know what you're doing :-)
all:
	@echo
	@echo Please see the Makefile source and the Wiki for more info!
	@echo
	@echo Right now this file is only used as a tool to release the binary
	@echo runtime.
	@echo


runapp_static: src/runapp.c
	rm -f runapp
	$(CC) $(CFLAGS) -static -o runapp src/runapp.c -DRUNAPP_LOGDIR=\"$(LOGDIR)\" -DDEBUG
	strip runapp

runapp_dyn: src/runapp.c
	rm -f runapp
	$(CC) $(CFLAGS) -o runapp src/runapp.c -DRUNAPP_LOGDIR=\"$(LOGDIR)\" -DDEBUG
	strip runapp


runtime_release: runapp_static copy
	rm -f ../freevo-runtime-$(RUNTIME_VERSION).tar.gz
	cd ..; \
	tar zcvhf freevo-runtime-$(RUNTIME_VERSION).tar.gz runtime/runapp runtime/apps runtime/lib runtime/dll runtime/preloads ; \
	cd -

# Copy the libraries, programs etc to this directory
# There is no dependency checking, the libs are just copied
# It is probably a good idea to do a build first, unless you know
# all libs are up-to-date.
# Python programs in lib/ have their execute flag removed since
# RPM building chokes on them.
copy: 	python_copy jpegtran_copy matroxset_copy copy_libdeps
	find lib -name "*.so" -exec strip {} \;
	find dll -name "*.so*" -exec strip {} \;
	find apps -perm +111 -type f -exec strip {} \;
	find lib -name "*.py" -perm +0111 -exec chmod ugo-x \{\} \;


# Build all the libraries etc
build:
	$(MAKE) -C build all


# Copy apps etc from the build dir
build_copy:
	$(MAKE) -C build copy


# Remove all copied libraries, programs etc
# The build directory is not touched
clean: 
	-rm -rf lib apps/* dll/* tmp preloads


# A python app that checks all libs and apps to find dynamic
# link lib dependencies. All deps are copied to the dll folder.
# The dynamic link loader ld-linux is renamed to freevo-run for
# easy killing in the main startscript 'freevo'
copy_libdeps:
	-rm -rf dll
	-mkdir -p dll
	python copy_libdeps.py
	mv dll/ld-linux.so.2 dll/freevo_loader
	cp $(PREFIX)/lib/i486/libcrypto.so.0.9.7 dll/
	cp $(PREFIX)/lib/i486/libssl.so.0.9.7 dll/


################################################################################
#
# Python 2.3
#
################################################################################
# This will copy a number of the other packages as well since they're installed
# in python's site-packages folder.
python_copy:
	@echo Copying python
	-rm -rf lib
	-rm -rf tmp
	-mkdir -p lib
	-mkdir -p apps
	cp -a /usr/lib/python2.3 lib
	find . -name "*.pyo" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;
	rm -rf lib/python2.3/config
	rm -rf lib/python2.3/lib-tk
	rm -rf lib/python2.3/lib-old
	rm -rf lib/python2.3/test
	-mkdir -p tmp
	cp -a lib/python2.3/site-packages/{Numeric,Numeric.pth} tmp
	cp -a lib/python2.3/site-packages/{PIL,PIL.pth,_xmlplus,aomodule.so} tmp
	cp -a lib/python2.3/site-packages/{ogg,pygame,_pygphoto.so,pygphoto.py} tmp
	cp -a lib/python2.3/site-packages/{pylircmodule.so,fchksum.so,pylcd.py} tmp
	cp -a lib/python2.3/site-packages/{mmpython,twisted} tmp
	rm -rf lib/python2.3/site-packages
	mv tmp lib/python2.3/site-packages
	cp -a /usr/bin/python2.3 apps/freevo_python


################################################################################
#
# MPlayer/Mencoder
#
################################################################################
mplayer_copy:
	@echo Copying mplayer/mencoder
	-mkdir -p apps/mplayer
	cp $(PREFIX)/MPlayer/bin/{mplayer,mencoder} ./apps/mplayer/
	# cp $(PREFIX)/MPlayer/bin/README ./apps/mplayer/README.mplayer
	# cp $(PREFIX)/MPlayer/bin/etc/{codecs.conf,input.conf} ./apps/mplayer/


################################################################################
#
# MPlayer fonts
#
################################################################################
mplayer_fonts_copy:
	@echo Copying mplayer fonts
	-mkdir -p apps/mplayer/font
	cp $(PREFIX)/MPlayer/font/* apps/mplayer/font


################################################################################
#
# cdparanoia
#
################################################################################
cdparanoia_copy:
	@echo Copying cdparanoia
	cp -a $(PREFIX)/bin/cdparanoia apps/


################################################################################
#
# lame
#
################################################################################
lame_copy:
	@echo Copying lame
	cp -a $(PREFIX)/bin/lame apps/


################################################################################
#
# jpegtran. comes from the libjpeg v6b library.
#
################################################################################
jpegtran_copy:
	@echo Copying jpegtran
	cp -a $(PREFIX)/bin/jpegtran apps/


################################################################################
#
# matroxset, comes with mplayer
#
################################################################################
matroxset_copy:
	@echo Copying matroxset
	cp -a $(PREFIX)/bin/matroxset apps/


build_all_pkg: build_packageconfig build_libusb build_python build_jpeg build_png build_zlib build_ffmpeg build_dxr3 build_directfb build_sdl build_alsa build_aumix build_cddb build_cdparanoia build_egenix build_expat build_freetype build_lame build_libao build_libexif build_libgphoto build_libogg build_libvorbis build_pyogg build_pyvorbis build_pyao build_pyfchksum build_pyimaging build_pylirc build_pynumeric build_pyxml build_pyxmms build_sdlimage build_sdlttf build_smpeg build_sdlmixer build_pygame build_swig build_pygphoto build_vorbistools build_mp1e build_mplayer get_mplayer_fonts



build_python: PACKAGE=$(PYTHON)
build_python: PACKAGE_GET=$(PYTHON_GET)
build_python: EXT=tgz
build_python: TAR=$(TAR1)
build_python: BUILDCMDS=
build_python: CFG=$(CFGFLAGS)
build_python:  
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_expat: PACKAGE=$(EXPAT)
build_expat: PACKAGE_GET=$(EXPAT_GET)
build_expat: EXT=tar.gz
build_expat: TAR=$(TAR1)
build_expat: BUILDCMDS=
build_expat: CFG=$(CFGFLAGS)
build_expat: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_mp1e: PACKAGE=$(MP1E)
build_mp1e: PACKAGE_GET=$(MP1E_GET)
build_mp1e: EXT=tar.gz
build_mp1e: TAR=$(TAR1)
build_mp1e: BUILDCMDS=
build_mp1e: CFG=$(CFGFLAGS)
build_mp1e: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_pyxml: PACKAGE=$(PYXML)
build_pyxml: PACKAGE_GET=$(PYXML_GET)
build_pyxml: EXT=tar.gz
build_pyxml: TAR=$(TAR1)
build_pyxml: BUILDCMDS="$(PYBIN) setup.py build; $(PYBIN) setup.py install"
build_pyxml: CFG=$(CFGFLAGS)
build_pyxml:  
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_alsa: PACKAGE=$(ALSA)
build_alsa: PACKAGE_GET=$(ALSA_GET)
build_alsa: EXT=tar.bz2
build_alsa: TAR=$(TAR2)
build_alsa: BUILDCMDS=
build_alsa: CFG=$(CFGFLAGS)
build_alsa: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                $(PACKAGE) $(CFG) $(BUILDCMDS)


build_aumix: PACKAGE=$(AUMIX)
build_aumix: PACKAGE_GET=$(AUMIX_GET)
build_aumix: EXT=tar.bz2
build_aumix: TAR=$(TAR2)
build_aumix: BUILDCMDS=
build_aumix: CFG="$(CFGFLAGS) --without-ncurses --without-gpm --without-sysmouse --without-gtk --without-gtk1 --disable-nls --with-alsa"
build_aumix: 
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
	  build_package $(COPY_BASE) $(TAR) $(EXT) $(PACKAGE) \
	                aumix-2.8 $(CFG) $(BUILDCMDS)


build_cddb: PACKAGE=$(CDDB)
build_cddb: PACKAGE_GET=$(CDDB_GET)
build_cddb: EXT=tar.gz
build_cddb: TAR=$(TAR1)
build_cddb: BUILDCMDS="$(PYBIN) setup.py build; $(PYBIN) setup.py install"
build_cddb: CFG=$(CFGFLAGS)
build_cddb:
	@ . build_functions ;\
	  get_package $(PACKAGE) $(PACKAGE_GET) $(EXT) ;\
