=== src/Makefile ===
include ../config.mk

CFLAGS  += -I../include -I../plugins/goom/
LDFLAGS += -ldl

SRCS = mpav.c aclib.c draw_text.c msglist.c screen.c event.c slave.c data_import.c render.c

OBJS=$(SRCS:.c=.o)

all: $(PROGRAM)

.SUFFIXES: .c .o

.c.o:
	@echo -e "\033[1;33m* \033[0;1mCompiling: \033[1;36m$< \033[0;1mto \033[1;36m$@\033[0m"
	$(CC) -c $(CFLAGS) -o $@ $<
	@echo

$(OBJS): mpav.c

$(PROGRAM): $(OBJS)
	@echo -e "\033[1;33m* \033[0;1mLinking: \033[1;36m$(OBJS) \033[0;1mto \033[1;36mmpav\033[0m"
	$(CC) $(CFLAGS) $(OBJS) -o $(PROGRAM) $(LDFLAGS)


depend:
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif



clean:
	rm -f *~ *.o *.a

distclean: clean
	rm -f $(PROGRAM)


install:
	install -m 755 $(PROGRAM) $(BIN_PREFIX)
