=== debian/changelog ===
freevo (1.9.2b2-4.2) unstable; urgency=low

  [ Jonathan Wiltshire ]
  * Non-maintainer upload.

  [ Stuart Prescott ]
  * Downgrade dependency on "youtube-dl" to a Suggests and document that users
    should get this (e.g. from backports.debian.org) to enable the YouTube 
    features (Closes: #699018).

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 Feb 2013 21:59:57 +0000

freevo (1.9.2b2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Indicate that freevo Breaks+Replaces freevo-doc (<< 1.9.2b2), since it
    took over two files (Closes: #694271)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 03 Dec 2012 23:35:46 +0100

freevo (1.9.2b2-4) unstable; urgency=low

  * Bug fix: "fails to install due to insserv rejecting the script
    header", thanks to Andreas Beckmann (Closes: #665741).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 22 Jul 2012 09:53:46 +0200

freevo (1.9.2b2-3) unstable; urgency=low

  * make sure the recordserver starts after dvbstreamer
  * patch applelib
  * [INTL:nl] Dutch translation of debconf templates,
    thanks to Jeroen Schot (Closes: #652628).
  * [INTL:it] Italian translation of debconf messages,
    thanks to Beatrice Torracca (Closes: #660457).
  * [INTL:pl] Polish debconf translation,
    thanks to Michał Kułach (Closes: #663687).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 23 Mar 2012 10:47:43 +0100

freevo (1.9.2b2-2) unstable; urgency=low

  * update to svn 11905
  * python-freevo dependencies: add python-gdata, python-imdb, youtube-dl,
    and bump version for kaa, and remove python-support
  * by defaults, use mplayer autodetect for video and audio
  * fix Typo in the .desktop file, thanks to Andrea Carpineti
    (Closes: #620153).
  * fix "Extra packages" section of README.Debian, thanks to
    Geoff Simmons (Closes: #646188).
  * [INTL:pt_BR] Brazilian Portuguese debconf templates, thanks
    to Flamarion Jorge (Closes: #610404).
  * add docbook-utils build-dependency (Closes: #648989).
  * Use 'python-all' as b-d, not 'python-all-dev'.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 19 Nov 2011 18:36:38 +0100

freevo (1.9.2b2-1) unstable; urgency=low

  * new upstream version
  * do not use python-support
  * Bug fix: "not compatible with Python 2.7?", thanks to Jakub Wilk
    (Closes: #629085).
  * Bug fix: "Please update freevo imdb plugin", thanks to alex (Closes:
    #511020).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 23 Oct 2011 17:18:40 +0200

freevo (1.9.0-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Drop python2.5 from Build-Depends (Closes: #623903).
    - Drop quilt from Build-Depends (Closes: #607481).
  * debian/pyversions:
    - Drop 2.5 from supported versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 07 May 2011 14:45:12 +0200

freevo (1.9.0-10) unstable; urgency=high

  * Fix FTBFS: rm: cannot remove
    debian/tmp/usr/share/freevo/icons/themes/geexbox/mimetypes/folder.png
    thanks to Jakub Wilk (Closes: #611093).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 27 Jan 2011 09:07:13 +0100

freevo (1.9.0-9) unstable; urgency=medium

  * Better transition: if freevo is installed anew, it will put all its
    data in /var/lib/freevo (as per bug #606782); whereas if it is upgraded
    from versions <1.9.0-8 then it will work as before, that is, it will
    use all the data in /home/freevo , until the user does all changes
    (see NEWS for details).
  * be sure that /usr/share/freevo/icons/themes/geexbox/mimetypes/folder.png
    exists and is a proper symlink
  * add small change in upstream SVN 11664 to debian/patches/twisted-web-9.diff

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 01 Jan 2011 14:12:56 +0100

freevo (1.9.0-8) unstable; urgency=low

  * found the culprit of bug 606782, so closes: #606782 once and forall
  * analyzed the python2.6 compatibility,
    - fixed: "Python string exceptions no more allowed in Python 2.6",
      thanks to Sandro Tosi and charrea6 (Closes: #585292)
    - did a lot of testing with python2.6
    so re-enable python2.6
  * Create all directories in /var/lib/freevo (Closes: #607921).

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 27 Dec 2010 23:36:00 +0100

freevo (1.9.0-7) unstable; urgency=high

  * add 'Recommends: freevo' to python-freevo
  * this version of freevo works fine with python2.5 but 
    not with newer versions
    - force /usr/bin/freevo.real to select python2.5
    - set shebangs in scripts to /usr/bin/python2.5
    - set pyversions to '2.5' , and B-D to python2.5
  * all the above should also solve the bug
    "package fails to upgrade properly from lenny"; thanks to
    Lucas Nussbaum (Closes: #606782)

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 23 Dec 2010 10:49:15 +0100

freevo (1.9.0-6) unstable; urgency=low

  * fix Problem running imdb plugin from command line,
    thanks to Alessio Treglia (Closes: #511313).
  * add a pyversions (>= 2.5) to avoid python-compile with Python 2.4
    (for people upgrading from lenny)
  * properly use all of the patch from svn11648

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 29 Sep 2010 21:43:02 +0200
