=== debian/control ===
Source: freevo
Section: video
Priority: optional
Maintainer: Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>
Uploaders: Georg W. Leonhardt <leonhardt@geole.info>, A Mennucc1 <mennucc1@debian.org>
Build-Depends-Indep: po-debconf
Build-Depends: cdbs (>= 0.4.90), python-all, debhelper (>= 8.0), docbook, docbook-utils
Standards-Version: 3.9.1.0
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/pkg-freevo/packages/freevo/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freevo/packages/freevo/trunk/
Homepage: http://freevo.org/

Package: freevo
Architecture: all
Depends:  ${misc:Depends}, ${python:Depends}, python-freevo (= ${binary:Version}), freevo-data (= ${binary:Version}),  mplayer, lsdvd, console-tools | kbd, debconf, adduser, xinit
Recommends: cdparanoia, xine-ui, xmltv-util, libxmltv-perl
Suggests: mencoder, libdvdcss2, lame, ttf-liberation | ttf-mscorefonts-installer, fbxine, flac, vorbis-tools, fbset, matrox-tools, nvram-wakeup, youtube-dl
Breaks: freevo-doc (<< 1.9.2b2)
Replaces: freevo-doc (<< 1.9.2b2)
Description: home theater framework - binaries
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package provides Freevo binaries and servers.

Package: python-freevo
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-alsaaudio, python-libxml2, python-beautifulsoup (>= 3.0.1), python-html5lib, python-kaa-imlib2 (>= 0.2.3+svn4596), python-kaa-metadata (>= 0.7.7+svn4596), python-kaa-base (>= 0.6.0+svn4596), python-pygame (>> 1.7.1release-4.1+b1), python-imaging, python-twisted (>= 2.5.0), python-sqlite, python-imdbpy, python-gdata
Recommends: freevo (= ${binary:Version})
Description: home theater framework - Python modules
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package provides Python modules for Freevo.

Package: freevo-data
Architecture: all
Recommends: freevo (= ${binary:Version})
Depends: ${misc:Depends}, ttf-dejavu, ttf-bitstream-vera
Conflicts: freevo-media, freevo-common (<< 1.8.0rc2)
Description: home theater framework - themes and data
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package contains themes, fonts, and other data for Freevo.

Package: freevo-lirc
Architecture: all
Depends: ${misc:Depends}, freevo (= ${binary:Version}), python-pylirc, lirc
Description: home theater framework - LIRC support
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package integrates Linux Infra-red Remote Control support for
 Freevo.

Package: freevo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: freevo
Description: home theater framework - documentation
 Freevo is a complete home theater framework. It can operate as a
 Personal Video Recorder system for saving television input to disk, but
 can also browse and play pictures, music, games, and movies either from
 the hard disk or from CDs and DVDs. Freevo can be used to build a
 dedicated home theater system with a TV (plus remote), or can simply be
 run on a regular desktop computer with a monitor, mouse, and keyboard.
 .
 This package contains documentation for Freevo in HTML.
