=== debian/watch ===
version=3

http://qa.debian.org/watch/sf.php/freevo freevo-((?:\d\.)+\d)\.tar\.gz
